Subject: RE: [AAA-WG]: [issue 353] Issues with EAP-00 draft

From: "Glen Zorn" <[email-masked]>
Date: Wed, 23 Oct 2002 08:54:19 -0700

Bernard Aboba [mailto:[email-masked]] writes:

> > Not sure I follow your reasoning.  Are you saying that 
> typical behavior is
> > also optimal?  This assertion seems a bit absurd :-)...
> 
> I'm just wondering which behavior the draft is advocating, and why.

I believe from the text that it is advocating the "preferred" approach.

> 
> > Indeed!  In fact, it looks to me like the "typical" 
> approach, far from being
> > either optimal or even "preferred" is actually pretty 
> useless: it seems to
> > waste bandwidth to no good purpose, since the empty request 
> cannot be routed
> > to the home realm...
> 
> However, if there is no proxy, then it could conceivably be 
> useful. For
> example, the RADIUS server could decide to dispense with an 
> EAP Identity
> exchange altogether and go immediately to an identity-hiding 
> method (EAP
> TTLS or PEAP).
> 
> > I would prefer :-) to delete or deprecate the first approach.
> 
> Perhaps the right thing to do is to indicate that the second 
> approach is
> preferred, except in special cases where the first approach 
> MAY be used.
> 
> > > You might give an example of a situation where this would occur.
> >
> > Can you think of one?
> 
> The case that comes to mind is use of Session-Timeout to indicate
> the desired timeout period for the NAS, before resending the 
> EAP Request.
> 
> 
> > > Since
> > > there is controversy about this AVP, including it in NASREQ
> > > would prevent
> > > that document from advancing.
> >
> > The major controversy I recall was from Paul Funk, who 
> hasn't followed up
> > AFAIK, even as far as answering my question as to why the 
> current AVPs do
> > not suffice to do exactly what he wants.  Are there other 
> complaints?
> 
> Yes, see Issue #294.

I view Issue #294 as essentially baseless.